#!/bin/sh
# Generate the makefiles, etc

DIE=0

PROJECT=libxaol

(autoconf --version) < /dev/null > /dev/null 2>&1 || (
	echo
	echo "You must have autoconf installed to compile $PROJECT."
	echo "Download the appropriate package for your distribution,"
	echo "or get the source tarball for autoconf at ftp://ftp.gnu.org/pub/gnu"
	DIE=1
)

(libtool --version) < /dev/null > /dev/null 2>&1 || (
	echo
	echo "You must have libtool installed to compile $PROJECT."
	echo "You can obtain libtool from ftp://ftp.gnu.org/pub/gnu/libtool-1.2.tar.gz"
	echo "(or a newer version if it is available)"
	DIE=1
)

(automake --version) < /dev/null > /dev/null 2>&1 || (
	echo "Your must have automake installed to compile $PROJECT."
	echo "You can obtain automake from ftp://ftp.gnu.org/pub/gnu/automake-1.3.tar.gz"
	echo "(or a newer version if it is available)"
)

if test "$DIE" -eq 1; then
	exit 1
fi

if test -z "$*"; then
	echo "I am going to run ./configure with no arguments - if you wish "
	echo "to pass any to it, please specify them on the $0 command line."
fi

case $CC in
*xlc | *xlc\ * | *lcc | *lcc\ *) am_opt=--include-deps;;
esac

for dir in .
do
	echo processing $dir
	(cd $dir; \
	aclocalinclude="$ACLOCAL_FLAGS"; \
	aclocal $aclocalinclude; \
	autoheader; automake --add-missing --gnu $am_opt; autoconf)
done

./configure "$@"

echo
echo "Now type 'make' to compile $PROJECT."
