/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// AOLProtocol.h

#ifndef __AOL_PROTOCOL__
#define __AOL_PROTOCOL__

#include "XErrors.h"
#include "Modules.h"
#include "P3.h"

typedef struct SignOnData {
	char header[128]; 		// 128 chars of space for the header
	char snTrailer[128];	// Glue for packet between SN and PW
	char footer[128];		// The end of the packet
	int hLength;			// The length of the header
	int stLength;			// The length of the SN glue
	int fLength;			// The length of the footer
} SignOnData;

typedef struct InitData {
	char data[128];			// The data of the init packet
	int length;				// The length of the packet data
} InitData;

enum {
	AP_Success,				// Signing on was sucessful
	AP_BadPassword,			// A bad password was supplied
	AP_UnknownResponse		// An unknown response was returned
};

XAOLError APSetProtocol			(Module* module);
XAOLError APSetProtocolByName	(char* protocol);

XAOLError APGetInfo			 	(unsigned char* arch, unsigned char* versionMajor, unsigned char* versionMinor);
XAOLError APGetInitPacketData 	(InitData* packetData);
XAOLError APGetSignOnPacketData (SignOnData* sod); 
int 	  APCheckSignOn 		(P3* p3);

#endif __AOL_PROTOCOL__