/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// P3.h

#ifndef __P3__
#define __P3__

#include "XPlatform.h"
#include "XErrors.h"

typedef struct P3 {
	// Internal data
	int				checkValue;			// Magic check value, for sanity checks. Don't touch

	// Protocol Level Stuff
	unsigned short	crc;				// Checksum Value
	unsigned short	length;				// Length of the data
	unsigned char	seq;				// 
	unsigned char	ack;				//
	unsigned char	type;				// Type of P3 Packet this is
	char			*data;				// Data buffer relating to this P3 Packet
} P3;

// ** Constants
enum {
	P3_TYPE_DATA	 	=	32,
	P3_TYPE_U1			=	33,
	P3_TYPE_U2			=	34,
	P3_TYPE_INIT		=	35,
	P3_TYPE_ACK			=	36,
	P3_TYPE_NAK			=	37,
	P3_TYPE_HEARTBEAT	=	38,
	P3_TYPE_U3			=	40,
	P3_TYPE_U4			=	41
};

// ** Functions
P3*			P3New			(char type);
int 		P3IsValid 		(P3* p3);
XAOLError	P3Copy 			(P3* source, P3* dest, int copyData);
XAOLError	P3Append		(P3* p3, char* data, int length);
XAOLError	P3AppendChar	(P3* p3, char c);
void		P3Dispose		(P3* p3);
XAOLError	P3BuildPacket	(P3* p3, char** buffer, int* length);
XAOLError	P3ParsePacket	(P3* p3, char* buffer, int len, int* bytesLeft);

#endif __P3__