/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// PacketParser.h

#ifndef __PACKET_PARSE__
#define __PACKET_PARSE__

typedef struct PacketElement {
 	short type;
 	short length;
 	unsigned char *data;
 	struct PacketElement *next;
} *PacketElement;

typedef struct PacketData {
 	PacketElement pe;
 	int num;
} *PacketData;

PacketData		PDPCreate			(void);
void			PDPDestroy			(PacketData* pdp);

short			PDPGetLength		(PacketData pdp, short type);
PacketElement	PDPIsPresent		(PacketData pdp, short type);

int				PDPAdd				(PacketData pdp, short type, short length, void * data);
void			PDPWrite			(PacketData pdp, DataStream* ds);
PacketData		PDPRead				(DataStream* ds);

short			PDPGet16			(PacketData pdp, short type);
int				PDPPut16			(PacketData pdp, short type, short val);


unsigned short	PDPGetU16			(PacketData pdp, short type);
int				PDPPutU16			(PacketData pdp, short type, unsigned short val);

long			PDPGet32			(PacketData pdp, short type);
int				PDPPut32			(PacketData pdp, short type, long val);

unsigned long	PDPGetU32			(PacketData pdp, short type);
int				PDPPutU32			(PacketData pdp, short type, unsigned long val);

unsigned char*	PDPGetRaw			(PacketData pdp, short type);
int				PDPPutRaw			(PacketData pdp, short type, short length, unsigned char* data);

char* 			PDPGetString		(PacketData pdp, short type);
int				PDPPutString		(PacketData pdp, short type, char* data);

#endif __PACKET_PARSE__
