/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// Tokens.c

#include <string.h>
#include <stdio.h>

#include "Tokens.h"
#include "P3.h"
#include "DataStream.h"

void PrintData (char* buffer, int len);

XAOLError PutToken (AOLSession* session, char* token, char* data, int len) {
	P3* p3 = NULL;
	XAOLError error;
	
	p3 = P3New(P3_TYPE_DATA);
	if (p3 == NULL)
		return (Mem_Error);
	
	error = P3Append(p3, token, 2);
	if (error != No_Error) {
		P3Dispose(p3);
		return (error);
		}
	
	if (len > 0) {
		printf("PutToken() called with some data\n");
		error = P3Append(p3, data, len);
		if (error != No_Error) {
			P3Dispose(p3);
			return (error);
			}
		}
	
	PrintData(p3->data, p3->length);

	error = ASSendP3 (session, p3);
	if (error != No_Error) {
		P3Dispose(p3);
		return (error);
		}
	
	P3Dispose(p3);
	
	return (No_Error);
	}

XAOLError GetToken (P3* p3, char* token, void* data) {
	char* mem;
	
	if (p3 == NULL || token == NULL || data == NULL) {
		printf("Argument error.\n");
		return (Arg_Error);
		}

	if (p3->length > 0) {
		mem = p3->data;
		snprintf(token, 3, "%s", mem);
	
		memcpy(data, mem + 2, p3->length - 2);
		}
	else
		return (TNoTokenData);
	
	token[2] = NULL;
	return (No_Error);
	}

void PrintData (char* buffer, int len) {
	int i;

	printf("\n*** DATA DUMP START ***\n");

	for (i = 0; i < len; i += 2) {
		printf("%02x", buffer[i]);
		if (i + 1 < len)
			printf("%02x\t", buffer[i + 1]);
		}
	
	printf("\n*** END DATA DUMP ***\n");
	}
