/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// XDebug.h

#ifndef __XDEBUG__
#define	__XDEBUG__

#include "XPlatform.h"

#if XAOL_DEBUG
	// Include Platform Specific Debugging Macros
	#if TARGET_OS_MAC == 1
		#include "MacOSDebug.h"
	#elif TARGET_OS_UNIX == 1
		#include "UnixDebug.h"
	#elif TARGET_OS_WIN32 == 1
		#include "Win32Debug.h"
	#endif
	
	#define XAOL_AssertIfNULL_(X)						\
		XAOL_Assert_(X != NULL)
#else
	#define XAOL_DEBUG_Printf_(X) (void)0
	#define XAOL_DEBUG_Print_(X) (void)0
	#define XAOL_Assert_(_condition) (void)0
	#define XAOL_AssertIfNULL_(X) (void)0
#endif XAOL_DEBUG

// Implementation Specific Setup
void	Debug_Init 		();
int 	Debug_GetLevel	();
void	Debug_SetLevel	(int level);

#endif __XDEBUG__