/***************************************************************************
* Copyright (C)1999 The XAOL Project, All Rights Reserved.                 *
* WWW: http://www.xaol.org/                                                *
***************************************************************************/
// chat.c

#include "Plugin.h"
#include "Events.h"
#include "Tokens.h"
#include "AOLStream.h"
#include "Modules.h"
#include "Tokens.h"

#include <stdio.h>
#include <string.h>
#include <stddef.h>

#define kVersion 0.1

Module* thisModule = NULL;

// Prototypes
void EventParser (XAOLEvent event);
XAOLError ChatEnterPrivateRoom (AOLSession* session, char* roomname);

XAOLError Module_Init (Module* module) {
	printf("AOL Chat Module initialized\n");
	
	thisModule = module;
	snprintf(thisModule->name, kModuleNameLen, "AOL Chat Module");
	snprintf(thisModule->name, kDescriptionLen, "Chat in AOL Rooms");
	thisModule->version = kVersion;
	thisModule->type = Mod_Plugin;
	
	return (No_Error);
	}

XAOLError Module_Start (Module* module, AOLSession* session) {
        XAOLError error;
        
        printf("[AOL Chat] Module Started!\n");
        error = XAERegister (EventParser);
        
        return (error);
        }
         
void EventParser (XAOLEvent event) {
        printf("[IT] Parser Called!\n");
        
        switch (event.what) {
                case kSignOnEvent:
                        printf("Got Sign on Event - sending tokens.\n");
                        ChatEnterPrivateRoom(event.where, "zelifcam");
                        break;
		
		default:
			break;
		}
	}

XAOLError ChatEnterPrivateRoom (AOLSession* session, char* roomname) {
        char* room = "aol://2719:2-2-zelifcam";
        XAOLError error;
   
	printf("[AOL Chat] Entering Private room 'zelifcam' with URL : %s - length : %i\n", room, strlen(room));
//	error = PutToken(session, "SC", NULL, 0);
//	error = PutToken(session, "AA", "test", 0);
        error = PutToken(session, "Kk", room, strlen(room));
        if (error != No_Error)
            fprintf(stderr, "An error occured while entering the room : %i\n", error);
        }
