%define	name	xaol
%define	version	0.2.0
%define	release	1
%define	serial	1
%define	prefix	/usr

Summary:	XAOL - Core XAOL Libraries Providing an America Online Client API
Name:		%{name}
Version:	%{version}
Release:	%{release}
Serial:		%{serial}
Copyright:	LGPL
Group:		Development/Libraries
Vendor:		XAOL Development Team <xaol-dev@egroups.com>
Url:		http://www.xaol.org/
Source:		%{name}-%{version}.tar.gz
BuildRoot:	/var/tmp/%{name}-%{version}-root
Obsoletes:	
Requires:	

%description
XAOL provides an extremely flexible, cross platform programming interface
for the development of America Online client applications. It sports a
modular design, small memory footprint, and all sorts of other goodies.

%prep
%setup -q -n %{name}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS"; CPPFLAGS="$RPM_OPT_FLAGS"; CXXFLAGS="$RPM_OPT_FLAGS";
export CFLAGS CPPFLAGS CXXFLAGS;

if [ -f configure ]; then
	./configure --prefix=%{prefix};
else
	./autogen.sh --prefix=%{prefix};
fi

make

%install
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi
mkdir $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

# Strip binaries. But, not plugins.
# strip --strip-unneeded $RPM_BUILD_ROOT%{prefix}/bin/*xmms;

# Install logo.
#mkdir -p $RPM_BUILD_ROOT/usr/share/pixmaps
#install -m 644 xmms/xmms_logo.xpm $RPM_BUILD_ROOT/usr/share/pixmaps/xmms_logo.xpm

# Install wmconfig file
#mkdir -p $RPM_BUILD_ROOT/etc/X11/wmconfig
#install -m 644 xmms/xmms.wmconfig $RPM_BUILD_ROOT/etc/X11/wmconfig/xmms

# Install applnk file
#mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/                             
#install -m 644 xmms/xmms.desktop RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/ 

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
if [ -d $RPM_BUILD_ROOT ]; then rm -rf $RPM_BUILD_ROOT; fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README
%{prefix}/lib/libxaol.so.*
%{prefix}/lib/xaol/connection/libsocketmodule*
%{prefix}/lib/xaol/protocol/libcroallP3*
%{prefix}/lib/xaol/plugins/libiptunnel*
%{prefix}/share/xaol/*
%{prefix}/bin/xaol-config
%{prefix}/lib/lib*.so
%{prefix}/lib/lib*.a
%{prefix}/include/*
%{prefix}/share/aclocal/xaol.m4
%ChangeLog

